<template>
  <el-config-provider :size="size" :z-index="zIndex" :locale="locale">
    <router-view />
  </el-config-provider>
</template>

<script setup name="App">
import { ref, computed, reactive, watch, watchEffect, onMounted } from 'vue';
import { storeToRefs } from 'pinia';
import { ElConfigProvider } from 'element-plus';
import zhCn from 'element-plus/dist/locale/zh-cn.mjs';
// import { mapState } from 'pinia';
import { useUKeyStore } from '@/store/ukey.js';
import { useAppStore } from '@/store/app.js';

 const appStore = useAppStore();
 const ukeyStore = useUKeyStore();

 const { size } = storeToRefs(appStore);
 const { isIn, connect } = storeToRefs(ukeyStore);
 const { checkIsIn, changeId, load } = ukeyStore;

 const zIndex = ref(3000);
 const locale = ref(zhCn);
 watchEffect(() => {
   changeId(isIn.value);
   checkIsIn(connect.value);
 });
 onMounted(() => {
   load(true);
 });
</script>

<style lang="scss">
@use "@/styles/element/index.scss";

html,
body,
#app {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
}
</style>
